Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006390OCamlOCaml standard librarypublic2014-05-03 15:362014-12-14 17:34
Reportergasche 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.03.0+dev 
Summary0006390: [github patch] expose int_size and max_wosize in Sys
Descriptionhttps://github.com/ocaml/ocaml/pull/36 [^]

This would make it possible to write code that works both under the standard runtime and with js_of_ocaml, where the runtime constraints are different (integers are untagged and there is no real string/array-length limit). Currently code instead assumes that int_size is word_size-1, which makes it unportable to js_of_ocaml.
Tagsgithub, patch
Attached Files

- Relationships

-  Notes
(0012808)
gasche (developer)
2014-12-14 17:34

(It was merged in trunk.)

- Issue History
Date Modified Username Field Change
2014-05-03 15:36 gasche New Issue
2014-05-03 15:36 gasche Tag Attached: github
2014-05-03 15:36 gasche Tag Attached: patch
2014-06-04 21:42 doligez Status new => confirmed
2014-12-14 17:34 gasche Note Added: 0012808
2014-12-14 17:34 gasche Status confirmed => closed
2014-12-14 17:34 gasche Resolution open => fixed
2014-12-14 17:34 gasche Fixed in Version => 4.03.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker